TagLib::ID3v2::Header Class Reference

An implementation of ID3v2 headers. More...

`#include <id3v2header.h>`

## Public Member Functions

| Header ()
| Header (const ByteVector &data)
| ~Header ()
| Header (const Header &)=delete
Header & | operator= (const Header &)=delete
unsigned int | majorVersion () const
void | setMajorVersion (unsigned int version)
unsigned int | revisionNumber () const
bool | unsynchronisation () const
bool | extendedHeader () const
bool | experimentalIndicator () const
bool | footerPresent () const
unsigned int | tagSize () const
unsigned int | completeTagSize () const
void | setTagSize (unsigned int s)
void | setData (const ByteVector &data)
ByteVector | render () const

## Static Public Member Functions

static unsigned int | size ()
static ByteVector | fileIdentifier ()

## Protected Member Functions

void | parse (const ByteVector &data)

## Detailed Description

An implementation of ID3v2 headers.

This class implements ID3v2 headers. It attempts to follow, both semantically and programmatically, the structure specified in the ID3v2 standard. The API is based on the properties of ID3v2 headers specified there. If any of the terms used in this documentation are unclear please check the specification in the linked section. (id3v2.4.0-structure.txt, 3.1)

## Constructor & Destructor Documentation

## Header() [1/3]

TagLib::ID3v2::Header::Header | ( |  | ) |

Constructs an empty ID3v2 header.

Referenced by Header(), and operator=().

## Header() [2/3]

TagLib::ID3v2::Header::Header | ( | const ByteVector & | data | ) |

Constructs an ID3v2 header based on data. parse() is called immediately.

## ~Header()

TagLib::ID3v2::Header::~Header | ( |  | ) |

Destroys the header.

## Header() [3/3]

TagLib::ID3v2::Header::Header | ( | const Header & |  | ) |

delete

References Header().

## Member Function Documentation

## completeTagSize()

unsigned int TagLib::ID3v2::Header::completeTagSize | ( |  | ) | const

Returns the tag size, including the header and, if present, the footer size.

See also
  tagSize()

## experimentalIndicator()

bool TagLib::ID3v2::Header::experimentalIndicator | ( |  | ) | const

Returns `true` if the experimental indicator flag is set.

## extendedHeader()

bool TagLib::ID3v2::Header::extendedHeader | ( |  | ) | const

Returns `true` if an extended header is present in the tag.

## fileIdentifier()

ByteVector TagLib::ID3v2::Header::fileIdentifier | ( |  | ) |

static

Returns the string used to identify an ID3v2 tag inside of a file. Presently this is always "ID3".

## footerPresent()

bool TagLib::ID3v2::Header::footerPresent | ( |  | ) | const

Returns `true` if a footer is present in the tag.

## majorVersion()

unsigned int TagLib::ID3v2::Header::majorVersion | ( |  | ) | const

Returns the major version number. (Note: This is the 4, not the 2 in ID3v2.4.0. The 2 is implied.)

## operator=()

Header & TagLib::ID3v2::Header::operator= | ( | const Header & |  | ) |

delete

References Header().

## parse()

void TagLib::ID3v2::Header::parse | ( | const ByteVector & | data | ) |

protected

Called by setData() to parse the header data. It makes this information available through the public API.

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## render()

ByteVector TagLib::ID3v2::Header::render | ( |  | ) | const

Renders the Header back to binary format.

## revisionNumber()

unsigned int TagLib::ID3v2::Header::revisionNumber | ( |  | ) | const

Returns the revision number. (Note: This is the 0, not the 4 in ID3v2.4.0. The 2 is implied.)

## setData()

void TagLib::ID3v2::Header::setData | ( | const ByteVector & | data | ) |

Sets the data that will be used as the header. 10 bytes, starting from the beginning of data are used.

## setMajorVersion()

void TagLib::ID3v2::Header::setMajorVersion | ( | unsigned int | version | ) |

Set the major version number to version. (Note: This is the 4, not the 2 in ID3v2.4.0. The 2 is implied.)

See also
  majorVersion()

Note
  This is used by the internal parser; this will not change the version which is written and in general should not be called by API users.

## setTagSize()

void TagLib::ID3v2::Header::setTagSize | ( | unsigned int | s | ) |

Set the tag size to s.

See also
  tagSize()

## size()

unsigned int TagLib::ID3v2::Header::size | ( |  | ) |

static

Returns the size of the header. Presently this is always 10 bytes.

## tagSize()

unsigned int TagLib::ID3v2::Header::tagSize | ( |  | ) | const

Returns the tag size in bytes. This is the size of the frame content. The size of the entire tag will be this plus the header size (10 bytes) and, if present, the footer size (potentially another 10 bytes).

Note
  This is the value as read from the header to which TagLib attempts to provide an API to; it was not a design decision on the part of TagLib to not include the mentioned portions of the tag in the size.

See also
  completeTagSize()

## unsynchronisation()

bool TagLib::ID3v2::Header::unsynchronisation | ( |  | ) | const

Returns `true` if unsynchronisation has been applied to all frames.

The documentation for this class was generated from the following file:

- id3v2header.h